aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'tests/script-5.sh')
-rw-r--r--tests/script-5.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/script-5.sh b/tests/script-5.sh
new file mode 100644
index 0000000..96ea0a9
--- /dev/null
+++ b/tests/script-5.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# make sure extra long paths don't cause sandbox to shit itself
+# (actual exit status is irrelevant as it depends on host libc)
+
+addwrite $PWD
+getcwd-gnulib_tst
+case $? in
+ 0|1|2) exit 0;; # test may exit with these values
+ *) echo "someone get a diaper"; exit 1;;
+esac